NETSTAT(8)

NAME
netstat - Anzeige von Netzwerksverbindungen, Routentabellen, Schnittstellenstatistiken, maskierten Verbindungen, Netlink-Nachrichten und Mitgliedschaft in Multicastgruppen

SYNOPSIS
netstat [-venaoc] [--tcp|-t] [--udp|-u] [--raw|-w] [--groups|-g] [--unix|-x] [--inet|--ip] [--ax25] [--ipx] [--netrom]

netstat [-veenc] [--inet] [--ipx] [--netrom] [--ddp] [--ax25] {--route|-r}

netstat [-veenpac] {--interfaces|-i} [Schnittstelle]

netstat [-enc] {--masquerade|-M}

netstat [-cn] {--netlink|-N}

netstat {-V|--version} {-h|--help}

BESCHREIBUNG
Netstat zeigt Informationen des Linux Netzwerkssystems an.

  (no option)
Ohne Optionen zeigt netstat den Zustand von offenen Sockets an. Wird keine Adressfamilie angegeben, dann werden die offenen Sockets aller konfigurierten Adressfamilien gedruckt. Die Option -e gibt zusätzliche Informationen aus (User ID). Mit der Option -v gibt netstat zusätzlich Fehlermeldungen über von Kernel nicht unterstützte Adressfamilien aus. Die Option -p gibt zusätzlich die PID und den Namen des Programms, das den Socket geöffnet hat, aus. -a druckt alle Sockets einschließlich der auf Verbinungen wartenden Serversockets aus. Die Adressfamilie inet zeigt RAW, UDP und TCP Sockets an.

  -r, --route
Die -r, --route Option gibt die Routentabellen des Kernels im gleichen Format wie route -e aus. netstat -er benutzt das Ausgabeformat von route. Wegen Details siehe route(8).

  -i, --interface Schnittstelle
Wird die -i, --interfaces Option verwendet, so wird eine Tabelle aller (oder der angegebenen Schnittstellen) ausgedruckt. Die Ausgabe ist im Format von ifconfig -e und wird in ifconfig(8) beschrieben. netstat -ei druckt eine Tabelle oder einen Eintrag für einen einzelnes Interface wie ifconfig. Die -a Option schließt Schnittstellen, die gar nicht konfiguriert sind in die Ausgabe ein, d.h. die die U=UP Flagge nicht gesetzt haben).

  -M, --masquerade
Eine Liste aller maskierten Sitzungen wird dargestellt. Der -e Schalter schließt zusätzlich Information über Sequenznummern und Deltas, die durch das Umschreiben von FTP-Sitzungen (PORT Kommando) verursacht werden. Maskieren wird dazu verwendet um Maschinen mit inoffiziellen Netzwerkssitzungen vor der Außenwelt zu verstecken. Dies wird in ipfw(4), ipfwadm(8) und ipfw(8) beschrieben.

  -N, --netlink
Aktuelle Kern unterstützen die Kommunikation zwischen Kern und Anwendungen durch eine Option namens Netlink. Netlink ermöglicht es Informationen über die Erzeugung und das Löschen von Schnittstellen oder Routen von /dev/route (36,0) zu erhalten.

OPTIONEN

  -v, --verbose
macht detailiertere Ausgaben. Insbesondere wird ausgegeben, welche Adressfamilien nicht im Kern konfiguriert sind.

  -n, --numeric
gibt numerische Adressen aus, anstelle zu versuchen, den symbolischen Rechner, Port oder Benutzernamen auszugeben.

  -p, --programs
Zeigt den Prozessnamen und die PID des Eigentümers des Sockets, der ausgegeben wird. Nur der Eigentümer eines Prozess oder Root haben alle die dazu nötigen Privilegien.

  -A, --af Familie
benutzt einen alternativen Weg, um Adressfamilien zu setzen. Familie ist eine von Kommatas abgetrennte Liste von Schlüsselworten für Adressfamilien wie inet, unix, ipx, ax25, netrom und ddp. Dies hat den gleichen Effekt wie die Langoptionen --inet, --unix, --ipx, --ax25, --netrom und --ddp.

  -c, --continous
Mit dieser Option wiederholt netstat im Sekundenabstand die Werte, die sich seit der letzten Ausgabe erhöht haben.

AUSGABE

  Aktive Internet-Verbindungen (TCP, UDP, RAW)

  Proto
Das von Socket verwendete Protokoll (TCP, UDP, RAW).

  Recv-Q
Die Anzahl von Bytes, die noch nicht von der Anwendung vom Socket abgeholt wurden.

  Send-Q
Die Anzahl von Bytes, die von der Gegenseite noch nicht bestätigt wurde.

  Lokale Adresse
Die lokale Adresse (lokaler Rechnername) und Portnummer des Sockets. Außer bei Verwendung der -n Option wird die Socketadresse nach dem kanonischen Rechnernamen und die Portnummer in den zugehörigen Dienstenamen aufgelßt.

  Gegenadresse
Die Adresse und Portnummer der Gegenseite des Sockets. Wie bei lokalen Adressen schaltet der -n Schalter die Umwandlung von Rechneradresse und Portnummer ab.

  State
Der Zustand des Sockets. Da RAW-Sockets keinen und UDP-Sockets üblicherweise keinen Zustand haben, kann diese Spalte leer bleiben. Normalerweise ist sie einer von mehreren Werten:

VERBUNDEN
    The socket has an established connection.

SYN_SENT
    Es wird versucht auf dem Socket eine Verbindung aufzubauen.

SYN_RECV
    Eine Verbindungsanfrage wurde von der Gegenseite empfangen.

FIN_WAIT1
    Der Socket wurde geschloßen und die Verbindung wird beendet.

FIN_WAIT2
    Die Verbindung ist geschlßen und der Socket wartet darauf, daß sie von der Gegenseite ebenfalls geschloßen wird.

TIME_WAIT
    Der Socket ist nach dem Schließen im Wartezustand um Pakete handzuhaben, die sich eventuell noch im Netzwerk befinden.

CLOSE
    Der Socket wird nicht benutzt.

CLOSE_WAIT
    Die Gegenseite hat die Verbindung beendet und das Schließen des Sockets wird erwartet.

LAST_ACK
    Die Gegenseite hat die Verbindung beendet und der Socket ist geschloßen; die Bestätigung wird abgewartet.

LISTEN
    Der Socket wartet auf eingehende Verbindungen. Diese Sockets werden nur angezeit, wenn die The socket is listening for incoming connections. Those sockets are only displayed if the -a,--listening Option gegeben wird.

CLOSING
    Beide Sockets sind geschloßen es wurden aber noch nicht alle Daten geschickt.

UNKNOWN
    Der Zustand des Sockets ist unbekannt.

  Benutzer
Der Name oder die Benutzer-ID des Eigentümers des Sockets.

  PID/Program name
Durch einen Schrägstrich abgetrenntes Paar von Prozess-ID und Programmname des Programms, das diesen Socket besitzt. Die Option -p schaltet die Anzeige dieser Spalte ein. Es werden root Privilegien benötigt um die nötigen Daten zu erhalten. Für IPX Sockets sind diese Daten nicht verfügbar.

  Timer
(Dies muß noch geschrieben werden)

  Aktive Sockets in der UNIX Domäne

  Proto
Das Protokoll (in der Regel unix), das vom Socket verwendet wird.

  RefZäh
Der Referenzzähler, d.h. die Zahl der Prozesse, die diesen Socket benutzen.

  Flaggen
Die Flaggen, die angezeigt werden sind SO_ACCEPTON (angezeigt als ACC), SO_WAITDATA (W) oder SO_NOSPACE (N). SO_ACCECPTON wird auf unverbundenen Sockets verwendet, wenn die zugehörigen Sockets auf Verbindungsanfragen warten. Die anderen Flaggen sind normalerweise nicht von Interesse.

  Typ
Es gibt verschiedene Arten von Socketzugriff:

SOCK_DGRAM
    Der Socket wird im verbindungslosen Datagram-Modus verwendet.

SOCK_STREAM
    Dies ist ein verbindungsorientierter Stream-Socket.

SOCK_RAW
    Der Socket wird als RAW-Socket verwendet.

SOCK_RDM
    Dieser Socket bedient zuverlßig zugestellte Nachrichten.

SOCK_SEQPACKET
    Dies ist ein Socket, der die Zustellung in der richtigen Reihenfolge garantiert.

SOCK_PACKET
    Socket mit direktem (RAW) Zugriff auf die Schnittstelle.

UNKNOWN
    Wer weiß, was uns die Zukunft bringt soll es hier hinschreiben :-)

  Zustand
Dieses Feld enthält eines der folgenden Schlüsselworte:

FREI
    Der Socket ist unbenutzt

HÖrt
    Der Socket lauscht nach Verbindungsanfragen. Diese Sockets werden nur angezeigt, wenn die -a,--listening Option gesetzt ist.

VERBINDUNGSAUFBAU
    Auf dem Socket wird gerade eine Verbindung aufgebaut.

VERBUNDEN
    Auf dem Socket ist Verbindung aufgebaut.

VERBINDUNGSABBAU
    Die Verbindung des Sockets wird gerade abgebaut.

(empty)
    Der Socket hat keine Verbundung zu einem anderen Socket.

UNKNOWN
    Ein Socket sollte niemals in diesem Zustand sein.

  PID/Programmname
Prozess-ID und Programmname des Programs, das diesen Socket hält. Details siehe oben unter Aktive Internetverbindungen.

  Pfad
This displays the path name as which the corresponding processes attached to the socket.

  Aktive IPX-Sockets
(Dieser Abschnitt sollte von jemandem, der davon Ahnung hat geschrieben werden.)

  Aktive NET/ROM-Verdingungen
(Dieser Abschnitt sollte von jemandem, der davon Ahnung hat geschrieben werden.)

  Aktive AX.25-Verbindungen
(Dieser Abschnitt sollte von jemandem, der davon Ahnung hat geschrieben werden.)

DATEIEN
/etc/services -- Die Zuordungstabelle für Netzwerksdienste /proc/net/dev -- Informationen üeber Netzwerksschnittstellen /proc/net/raw -- Informationen über RAW-Sockets /proc/net/tcp -- Informationen über TCP-Sockets /proc/net/udp -- Informationen über UDP-Sockets /proc/net/igmp -- IGMP-bezogene Informationen /proc/net/unix -- Informationen über UNIX-Sockets /proc/net/ipx -- Informationen üeber IPX-Sockets /proc/net/ax25 -- Informationen über AX25-Sockets /proc/net/appeltalk -- Informationen über Appletalk-/DDP-Sockets /proc/net/nr -- Informationen über NET/ROM-Sockets /proc/net/route -- Informationen zu Kernelrouten /proc/net/ax25_route -- Kernelinformationen zum AX25-Routen /proc/net/ipx_route -- Kernelinformationen zum IPX-Routen /proc/net/nr_nodes -- Kernelliste der NET/ROM-Knoten /proc/net/nr_neigh -- Kernelliste der NET/ROM-Nachbarn /proc/net/ip_masquerade -- Liste der maskierten Verbindungen.

SIEHE AUCH
route(8), ifconfig(8), ipfw(4), ipfw(8), ipfwadm(8)

PROBLEME
Ändert sich der Zustand des Sockets während er gerade angezeigt wird, so kann unsinnige Information ausgegeben werden. Dies ist jedoch unwahrscheinlich.
Die netstat -i die beschrieben wird sollte nach einigem Säubern der BETA-Version des Codes des Net-Tools Packets funktionieren.

AUTOREN
Die Benutzerschnittstelle wurde von Fred Baumgarten <dc6iq@insu1.etec.uni-karlsruhe.de> geschrieben, die Manpage zum größten Teil von Matt Welsh <mdw@tc.cornell.edu>. Sie wurde von Alan Cox <Alan.Cox@linux.org> aktualisiert, benötigt aber weitere Arbeit.
Die Manpage und der eigentliche netstat Befehl wuren von Bernd Eckenfels <ecki@linux.de> vollständig neu geschrieben.

Übersetzung
Ralf Bächle <ralf@gnu.org>